package com.ruoyi.ibs.list.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 个人视图社保信息对象 social_security
 * 
 * @author ruoyi
 * @date 2024-12-17
 */
public class SocialSecurity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 客户身份证号 */
    @Excel(name = "客户身份证号")
    private String custIdc;

    /** 社保缴纳状态 */
    @Excel(name = "社保缴纳状态")
    private String paymentStatus;

    /** 参保单位类型 */
    @Excel(name = "参保单位类型")
    private String unitType;

    /** 参保单位所属行业 */
    @Excel(name = "参保单位所属行业")
    private String belongBusi;

    /** 参保单位经济类型 */
    @Excel(name = "参保单位经济类型")
    private String economicType;

    /** 优质客户标签 */
    @Excel(name = "优质客户标签")
    private String qualityLabel;

    /** 参保单位缴费基数排名 */
    @Excel(name = "参保单位缴费基数排名")
    private String paymentBaseRank;

    /** 参保单位缴费人数排名 */
    @Excel(name = "参保单位缴费人数排名")
    private String paymentCountRank;

    /** 参保单位缴费类型 */
    @Excel(name = "参保单位缴费类型")
    private String paymentType;

    /** 客户参保状态 */
    @Excel(name = "客户参保状态")
    private String insuranceStatus;

    /** 过去24个月参保单位数 */
    @Excel(name = "过去24个月参保单位数")
    private String recentTwoYearsCount;

    /** 过去12个月参保单位数 */
    @Excel(name = "过去12个月参保单位数")
    private String recentOneYearsCount;

    /** 当前社保缴纳基数 */
    @Excel(name = "当前社保缴纳基数")
    private String paymentBase;

    /** 单位个人是否命中拖欠工资黑名单 */
    @Excel(name = "单位个人是否命中拖欠工资黑名单")
    private String blackList;

    /** 单位个人是否命中被劳动仲裁 */
    @Excel(name = "单位个人是否命中被劳动仲裁")
    private String labourArbitration;

    /** 领取养老待遇标签 */
    @Excel(name = "领取养老待遇标签")
    private String receivePensionBenefits;

    /** 领取失业待遇标签 */
    @Excel(name = "领取失业待遇标签")
    private String receiveUnemploymentBenefits;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCustIdc(String custIdc) 
    {
        this.custIdc = custIdc;
    }

    public String getCustIdc() 
    {
        return custIdc;
    }
    public void setPaymentStatus(String paymentStatus) 
    {
        this.paymentStatus = paymentStatus;
    }

    public String getPaymentStatus() 
    {
        return paymentStatus;
    }
    public void setUnitType(String unitType) 
    {
        this.unitType = unitType;
    }

    public String getUnitType() 
    {
        return unitType;
    }
    public void setBelongBusi(String belongBusi) 
    {
        this.belongBusi = belongBusi;
    }

    public String getBelongBusi() 
    {
        return belongBusi;
    }
    public void setEconomicType(String economicType) 
    {
        this.economicType = economicType;
    }

    public String getEconomicType() 
    {
        return economicType;
    }
    public void setQualityLabel(String qualityLabel) 
    {
        this.qualityLabel = qualityLabel;
    }

    public String getQualityLabel() 
    {
        return qualityLabel;
    }
    public void setPaymentBaseRank(String paymentBaseRank) 
    {
        this.paymentBaseRank = paymentBaseRank;
    }

    public String getPaymentBaseRank() 
    {
        return paymentBaseRank;
    }
    public void setPaymentCountRank(String paymentCountRank) 
    {
        this.paymentCountRank = paymentCountRank;
    }

    public String getPaymentCountRank() 
    {
        return paymentCountRank;
    }
    public void setPaymentType(String paymentType) 
    {
        this.paymentType = paymentType;
    }

    public String getPaymentType() 
    {
        return paymentType;
    }
    public void setInsuranceStatus(String insuranceStatus) 
    {
        this.insuranceStatus = insuranceStatus;
    }

    public String getInsuranceStatus() 
    {
        return insuranceStatus;
    }
    public void setRecentTwoYearsCount(String recentTwoYearsCount) 
    {
        this.recentTwoYearsCount = recentTwoYearsCount;
    }

    public String getRecentTwoYearsCount() 
    {
        return recentTwoYearsCount;
    }
    public void setRecentOneYearsCount(String recentOneYearsCount) 
    {
        this.recentOneYearsCount = recentOneYearsCount;
    }

    public String getRecentOneYearsCount() 
    {
        return recentOneYearsCount;
    }
    public void setPaymentBase(String paymentBase) 
    {
        this.paymentBase = paymentBase;
    }

    public String getPaymentBase() 
    {
        return paymentBase;
    }
    public void setBlackList(String blackList) 
    {
        this.blackList = blackList;
    }

    public String getBlackList() 
    {
        return blackList;
    }
    public void setLabourArbitration(String labourArbitration) 
    {
        this.labourArbitration = labourArbitration;
    }

    public String getLabourArbitration() 
    {
        return labourArbitration;
    }
    public void setReceivePensionBenefits(String receivePensionBenefits) 
    {
        this.receivePensionBenefits = receivePensionBenefits;
    }

    public String getReceivePensionBenefits() 
    {
        return receivePensionBenefits;
    }
    public void setReceiveUnemploymentBenefits(String receiveUnemploymentBenefits) 
    {
        this.receiveUnemploymentBenefits = receiveUnemploymentBenefits;
    }

    public String getReceiveUnemploymentBenefits() 
    {
        return receiveUnemploymentBenefits;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("custIdc", getCustIdc())
            .append("paymentStatus", getPaymentStatus())
            .append("unitType", getUnitType())
            .append("belongBusi", getBelongBusi())
            .append("economicType", getEconomicType())
            .append("qualityLabel", getQualityLabel())
            .append("paymentBaseRank", getPaymentBaseRank())
            .append("paymentCountRank", getPaymentCountRank())
            .append("paymentType", getPaymentType())
            .append("insuranceStatus", getInsuranceStatus())
            .append("recentTwoYearsCount", getRecentTwoYearsCount())
            .append("recentOneYearsCount", getRecentOneYearsCount())
            .append("paymentBase", getPaymentBase())
            .append("blackList", getBlackList())
            .append("labourArbitration", getLabourArbitration())
            .append("receivePensionBenefits", getReceivePensionBenefits())
            .append("receiveUnemploymentBenefits", getReceiveUnemploymentBenefits())
            .toString();
    }
}
